-----------------
-- Declaration --
-----------------
Yata = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceDB-2.0", "AceConsole-2.0", "AceDebug-2.0");
local dewdrop = AceLibrary("Dewdrop-2.0");
local defaults = {
	Locked = true,
	ButtonScale = 1.0,
	ButtonLocked = true,
	ShowTooltip = true,
	ShowTTOOC = true,
	ActiveTotemset = "Default",
	CDBarEnabled = true,
	InvertBar = false,
};
Yata:RegisterDB("YataDB");
Yata:RegisterDefaults('profile', defaults);


-----------------
-- Common Code --
-----------------

function Yata:OnInitialize()
	self.options = self:InitOptions();
	self:RegisterChatCommand({"/Yata"}, self.options );		
end

function Yata:OnEnable()
	if(not self.IsInitialized) then
		self:TotemsInit();
		self.TotemBar = Yata.Class.FlexTotemBar:new(self.db);
		self.TotemBar:CreateBar();
		self.TotemBar:LoadConfig();
		self.IsInitialized = true;
	else
		self.TotemBar:Show();
	end
end

function Yata:OnDisable()
	self.TotemBar:Hide();
end

function Yata:CheckShowToolTip()
	if(not self.db.profile.ShowTooltip) then return nil end;
	if(self.db.profile.ShowTooltip and self.db.profile.ShowTTOOC and InCombatLockdown()) then return nil end;
	return true;
end

-------------------
-- The real deal --
-------------------

